function DATAinsert = cellMakerPT100(IDcentralina,DTcatena,NodeNum,ListaDate,...
                ARRAYdatePT100,Dati_PT100,cPT100,ErrPT100Link)

l = ListaDate;
DATAinsert = cell(l,7);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdatePT100(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdatePT100(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati_PT100(ii,cPT100);
    DATAinsert{ii,7} = ErrPT100Link(cPT100,ii);
end

end